{
  config,
  pkgs,
  lib,
  stable-pkgs,
  ...
}: {
  imports = [
    ./modules/terminal.nix
    ./modules/scripts.nix
    ./modules/email.nix
    ./modules/menu.nix
    ./modules/scripts.nix

    ./programs/scripts.nix
    {
      options.windowManager.modifierKey = lib.mkOption {default = "SUPER";};
    }
  ];

  programs.menu = {
    package = pkgs.tofi;
    dmenuCommand = "${pkgs.tofi}/bin/tofi --fuzzy-match true";
    drunCommand = "${pkgs.tofi}/bin/tofi-drun --drun-launch true";
  };

  home.packages = with pkgs; [
    wl-clipboard
    playerctl
    quickemu
    devenv
    stable-pkgs.logseq
  ];

  services.udiskie = {
    enable = true;
    notify = true;
  };

  programs.rbw.settings.pinentry = pkgs.pinentry-gnome3;

  # https://docs.pipewire.org/page_module_raop_discover.html
  xdg.configFile."pipewire/pipewire.conf.d/raop-discover.conf".text = ''
    context.modules = [
      {
        name = libpipewire-module-raop-discover
        args = { }
      }
    ]
  '';

  services.gnome-keyring.enable = true;
}
